import { HttpClientTestingModule } from '@angular/common/http/testing';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { UiLoaderModule } from '@ui/loader/loader.module';
import { DeltagareCardService } from '../../deltagare-card.service';
import { DeltagareTabPersonalInformationComponent } from './deltagare-tab-personal-information.component';

describe('DeltagareTabPersonalInformationComponent', () => {
  let component: DeltagareTabPersonalInformationComponent;
  let fixture: ComponentFixture<DeltagareTabPersonalInformationComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [DeltagareTabPersonalInformationComponent],
      imports: [HttpClientTestingModule, UiLoaderModule],
      providers: [DeltagareCardService],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(DeltagareTabPersonalInformationComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
